package org.processmining.expts;

import org.deckfour.xes.extension.std.XConceptExtension;
import org.deckfour.xes.factory.XFactory;
import org.deckfour.xes.factory.XFactoryRegistry;
import org.deckfour.xes.model.XAttributeMap;
import org.deckfour.xes.model.XEvent;
import org.deckfour.xes.model.XLog;
import org.deckfour.xes.model.XTrace;

public class CreateLogWithoutAttributes {

	public static XLog getLogWithAttributes(XLog log) {
		XFactory factory = XFactoryRegistry.instance().currentDefault();
		XLog subLog = factory.createLog((XAttributeMap) log.getAttributes().clone());

		subLog.getClassifiers().addAll(log.getClassifiers());
		subLog.getExtensions().addAll(log.getExtensions());
		subLog.getGlobalTraceAttributes().addAll(log.getGlobalTraceAttributes());
		subLog.getGlobalEventAttributes().addAll(log.getGlobalEventAttributes());
		//		XAttributeBoolean i = factory.createAttributeBoolean("i", false, null);
		//		XAttributeBoolean b = factory.createAttributeBoolean("b", false, null);
		//		XAttributeBoolean k = factory.createAttributeBoolean("k", false, null);
		//		XAttributeBoolean n = factory.createAttributeBoolean("n", false, null);
		//		XAttributeBoolean g = factory.createAttributeBoolean("g", false, null);
		//		XAttributeBoolean l = factory.createAttributeBoolean("l", false, null);
		//		subLog.getGlobalTraceAttributes().add(i);
		//		subLog.getGlobalTraceAttributes().add(b);
		//		subLog.getGlobalTraceAttributes().add(k);
		//		subLog.getGlobalTraceAttributes().add(n);
		//		subLog.getGlobalTraceAttributes().add(g);
		//		subLog.getGlobalTraceAttributes().add(l);
		
//		Set<String> activities = new HashSet<String>();
//		activities.add("a");
//		activities.add("b");
//		activities.add("e");
		
//		for(String act : activities)
//			subLog.getGlobalEventAttributes().add(factory.createAttributeBoolean(act, false, null));
//		subLog.getGlobalEventAttributes().add(factory.createAttributeBoolean("i", false, null));
//		subLog.getGlobalEventAttributes().add(factory.createAttributeBoolean("b", false, null));
//		subLog.getGlobalEventAttributes().add(factory.createAttributeBoolean("k", false, null));
//		subLog.getGlobalEventAttributes().add(factory.createAttributeBoolean("n", false, null));
//		subLog.getGlobalEventAttributes().add(factory.createAttributeBoolean("g", false, null));
//		subLog.getGlobalEventAttributes().add(factory.createAttributeBoolean("l", false, null));
		for (XTrace trace : log) {
			XTrace trace2 = factory.createTrace();
//			XAttributeBoolean i = factory.createAttributeBoolean("a", false, null);
//			XAttributeBoolean b = factory.createAttributeBoolean("b", false, null);
//			XAttributeBoolean k = factory.createAttributeBoolean("e", false, null);
			for (XEvent event : trace) {
				String act = XConceptExtension.instance().extractName(event).toString();
				XEvent event2 = (XEvent) event.clone();
				trace2.add(event2);
//				event2.getAttributes().put("a", i);
//				event2.getAttributes().put("b", b);
//				event2.getAttributes().put("e", k);
//				switch (act) {
//					case "a" :
//						i.setValue(true);
//						event2.getAttributes().put("a", i);
//						break;
//					case "b" :
//						b.setValue(true);
//						event2.getAttributes().put("b", b);
//						break;
//					case "e" :
//						k.setValue(true);
//						event2.getAttributes().put("e", k);
//						break;
//					case "n" :
//						n.setValue(true);
//						event2.getAttributes().put("n", n);
//						break;
//					case "g" :
//						g.setValue(true);
//						event2.getAttributes().put("g", g);
//						break;
//					case "l" :
//						l.setValue(true);
//						event2.getAttributes().put("l", l);
//						break;
//				}

			}

			subLog.add(trace2);
		}

		return subLog;
	}
}
