package org.processmining.prabhakardixit.fcnets.expansion;

import org.processmining.reduction.ReductionTrackerL;

public class ExpansionUtilsL {

	public static String logger(ReductionTrackerL rd) {

		String str = "";
		str += "start.clear(); end.clear();";

		for (int i : rd.getAtt1())
			str += ("start.add(" + i + ");");
		for (int i : rd.getAtt2())
			str += ("end.add(" + i + ");");
		str += ("newTransStr=\"" + rd.getTranName() + "\"; placeToTran=" + false + " ; newPlaceStr=\""
				+ rd.getPlaceName() + "\"; newPlaceID=" + rd.getNewPlaceID() + "; newTranID=" + rd.getNewTranID()
				+ "; isSilent=" + rd.isSilent() + ";");

		switch (rd.getMethodName()) {
			case ABSTRACTION :
				str += ("VizToPnetMapper.addNewTransition(start, end, newTransStr,newPlaceStr, ipn,placeToTran,newPlaceID,newTranID, isSilent);");
				break;
			case ABSTRACTIONREDUCE :
				break;
			case LDPLACE :
				str += ("VizToPnetMapper.addParallelPlace(start, end, newPlaceStr, ipn, newPlaceID);");
				break;
			case LDPLACEREDUCE :
				break;
			case LDTRAN :
				str += ("VizToPnetMapper.addChoiceTransition(start, end, activity, ipn,newTranID, isSilent);");
				break;
			case LDTRANREDUCE :
				break;
			case RENAME :
				break;
			default :
				break;

		}
		return str;
	}

}
