package org.processmining.decomposelogs;

public class DeclarePairsL {
	String act1;
	String act2;
	DeclareTemplatesL template;
	short freq;
	String lastAct;

	public String getLastAct() {
		return lastAct;
	}

	public void setLastAct(String lastAct) {
		this.lastAct = lastAct;
	}

	public DeclarePairsL(String act1, String act2) {
		this.act1 = act1;
		this.act2 = act2;
	}

	public DeclarePairsL(DeclarePairsL dp) {
		this.act1 = dp.getAct1();
		this.act2 = dp.getAct2();
		this.lastAct = dp.getLastAct();
		this.template = dp.getTemplate();
		this.freq = 1;
	}

	public DeclarePairsL(String act1, String act2, DeclareTemplatesL temp) {
		this.template = temp;
		this.act1 = act1;
		this.act2 = act2;
	}

	public String getAct1() {
		return act1;
	}

	public void setAct1(String act1) {
		this.act1 = act1;
	}

	public String getAct2() {
		return act2;
	}

	public void setAct2(String act2) {
		this.act2 = act2;
	}

	public DeclareTemplatesL getTemplate() {
		return template;
	}

	public void setTemplate(DeclareTemplatesL template) {
		this.template = template;
	}

	public short getFreq() {
		return freq;
	}

	public void setFreq(short freq) {
		this.freq = freq;
	}
}
