package org.processmining.humbertogarciacaballero.models.gui.decorator;

import java.awt.geom.Rectangle2D;
import java.util.Iterator;

import prefuse.action.layout.Layout;
import prefuse.visual.DecoratorItem;
import prefuse.visual.VisualItem;

public class CentreDecoratorLayoutL extends Layout {
    
    public CentreDecoratorLayoutL(String group) {
        super(group);
    }
    
    @Override
    @SuppressWarnings("unchecked")
    public void run(double frac) {
        Iterator<DecoratorItem> iter = getVisualization().items(getGroup());
        while (iter.hasNext()) {
            DecoratorItem decorator = iter.next();
            VisualItem decoratedItem = decorator.getDecoratedItem();
            Rectangle2D bounds = decoratedItem.getBounds();
            
            setX(decorator, decorator, bounds.getCenterX());
            setY(decorator, decorator, bounds.getCenterY());
        }
    }
}
