package org.processmining.humbertogarciacaballero.models.gui.decorator;

import java.awt.geom.Rectangle2D;
import java.util.Iterator;

import org.processmining.humbertogarciacaballero.models.model.PNConstantsL;

import prefuse.action.layout.Layout;
import prefuse.visual.DecoratorItem;
import prefuse.visual.VisualItem;

public class TokenTextDecoratorLayoutL extends Layout {

    public TokenTextDecoratorLayoutL(String group) {
        super(group);
    }

    @Override
    public void run(double frac) {
        Iterator<DecoratorItem> iter = getVisualization().items(getGroup());
        while (iter.hasNext()) {
            DecoratorItem decorator = iter.next();
            VisualItem decoratedItem = decorator.getDecoratedItem();
            Rectangle2D bounds = decoratedItem.getBounds();
            double x = bounds.getCenterX()
                    + ((PNConstantsL.PLACES_DEFAULT_SIZE * PNConstantsL.STARTING_NODE_SHAPE_PERCENTAGE_SIZE) / 2) + 1;
            double y = bounds.getCenterY()
                    + ((PNConstantsL.PLACES_DEFAULT_SIZE * PNConstantsL.STARTING_NODE_SHAPE_PERCENTAGE_SIZE) / 2) + 1;
            setX(decorator, null, x);
            setY(decorator, null, y);
        }
    }
}
