package org.processmining.incrementaldiscovery.processconfiguration;

import java.util.ArrayList;
import java.util.Collection;
import java.util.HashSet;
import java.util.List;
import java.util.Map.Entry;
import java.util.Set;

import org.deckfour.xes.extension.std.XConceptExtension;
import org.deckfour.xes.model.XAttribute;
import org.deckfour.xes.model.XLog;
import org.deckfour.xes.model.XTrace;
import org.processmining.prabhakardixit.fcnets.models.InteractiveMatrixNetL;

public class GlobalAttributesUtilsL {

	public static List<GlobalAttributeMapL> getAllGlobalAtts(XLog log) {
		List<GlobalAttributeMapL> globalAtts = new ArrayList<GlobalAttributeMapL>();

		//calculate empty selection as first att
//		globalAtts.add(new GlobalAttributeMap("clear", new HashSet<String>()));

		//calculate case duration as att 
		Set<String> values = new HashSet<String>();
		values.add("0to10");
		values.add("10to20");
		values.add("20+");
//		globalAtts.add(new GlobalAttributeMap("case duration", values));

		for (XTrace t : log) {

			Collection<XAttribute> att = XConceptExtension.instance().getTraceAttributes();
			for (XAttribute a : att) {
				XAttribute val = t.getAttributes().get(a);
				for (Entry<String, XAttribute> s : t.getAttributes().entrySet()) {
					System.out.println(s.getKey() + " : " + s.getValue().getClass());
				}
				//				XConceptExtension.instance().extractName(val);
			}
		}

		return globalAtts;
	}

	public static void getAggregatedAttributeInfo(String attKey, InteractiveMatrixNetL imn) {

	}
}
