package org.processmining.prabhakardixit.fcnets.synthesis;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

import org.processmining.models.graphbased.directed.petrinet.elements.Place;
import org.processmining.models.graphbased.directed.petrinet.elements.Transition;
import org.processmining.prabhakardixit.fcnets.models.InteractiveMatrixNetL;
import org.processmining.prabhakardixit.fcnets.models.InteractivePetriNetL;
import org.processmining.prabhakardixit.fcnets.models.LDSetsL;

public class VizGraphParametersUtilsL {
	//	public static List<String> addLoopHighlightPlaces(PetrinetNode node, InteractivePetriNet ipn) {
	//		PetriNetMap pn = ipn.getselectedPetriNetMap();
	//		List<String> ctr = new ArrayList<String>();
	//		if (node instanceof Place) {
	//			if (pn.getLoopChoicePlaces().containsKey(node)) {
	//				for (LoopStartEndPlaces cp : pn.getLoopChoicePlaces((Place) node)) {
	//					String tempStr = "";
	//					int temp = 1;
	//					for (Place p : cp.getStartLoopPlaces()) {
	//						if (cp.getStartLoopPlaces().size() == temp) {
	//							tempStr += ipn.getselectedPetriNetMap().getNodeMap().get(p);
	//							//		choiceParallelArray[i][0] = tempStr;
	//							//ctr.add(tempStr); 
	//						} else {
	//							tempStr += ipn.getselectedPetriNetMap().getNodeMap().get(p) + ",";
	//							temp++;
	//						}
	//					}
	//					tempStr += ";";
	//					temp = 1;
	//					//ctr.add("/");
	//					for (Place p : cp.getEndLoopPlaces()) {
	//						if (cp.getEndLoopPlaces().size() == temp) {
	//							tempStr += ipn.getselectedPetriNetMap().getNodeMap().get(p);
	//							//ctr.add(tempStr); 
	//							//	choiceParallelArray[i][1] = tempStr;
	//						} else {
	//							tempStr += ipn.getselectedPetriNetMap().getNodeMap().get(p) + ",";
	//							temp++;
	//						}
	//					}
	//					ctr.add(tempStr);
	//				}
	//			}
	//		}
	//		return ctr;
	//	}
	//
	//	public static List<String> addHighlightPlaces(PetrinetNode node, InteractivePetriNet ipn) {
	//		String str = "";
	//		PetriNetMap pn = ipn.getselectedPetriNetMap();
	//		List<String> ctr = new ArrayList<String>();
	//		if (node instanceof Place) {
	////			if (true)
	////				return addHighlighPlacesBasedOnLDMatrix((Place) node,ipn);
	//			if (pn.getChoicePlaces().containsKey(node)) {
	//				for (ChoicePlaceSets cp : pn.getChoicePlaces((Place) node)) {
	//					int i = 0;
	//					String tempStr = "";
	//					String end = "";
	//					int temp = 1;
	//					for (Place p : cp.getStartChoicePlaces()) {
	//						if (cp.getStartChoicePlaces().size() == temp) {
	//							tempStr += ipn.getselectedPetriNetMap().getNodeMap().get(p);
	//							//		choiceParallelArray[i][0] = tempStr;
	//							//ctr.add(tempStr); 
	//						} else {
	//							tempStr += ipn.getselectedPetriNetMap().getNodeMap().get(p) + ",";
	//							temp++;
	//						}
	//					}
	//
	//					tempStr += ";";
	//					temp = 1;
	//					//ctr.add("/");
	//					for (Place p : cp.getEndChoicePlaces()) {
	//						if (cp.getEndChoicePlaces().size() == temp) {
	//							tempStr += ipn.getselectedPetriNetMap().getNodeMap().get(p);
	//							//ctr.add(tempStr); 
	//							//	choiceParallelArray[i][1] = tempStr;
	//						} else {
	//							tempStr += ipn.getselectedPetriNetMap().getNodeMap().get(p) + ",";
	//							temp++;
	//						}
	//					}
	//					str += cp.getStartChoicePlaces();
	//					str += "+";
	//					str += cp.getEndChoicePlaces();
	//					str += "/";
	//					i++;
	//					ctr.add(tempStr);
	//				}
	//			}
	//		} else {
	//			if (pn.getParallelTransitions().containsKey(node)) {
	//				for (ParallelTransitionSets tp : pn.getParallelTransitions((Transition) node)) {
	//					int i = 0;
	//					String tempStr = "";
	//					String end = "";
	//					int temp = 1;
	//					for (Transition t : tp.getStartParallelTransitions()) {
	//						if (tp.getStartParallelTransitions().size() == temp) {
	//							tempStr += ipn.getselectedPetriNetMap().getNodeMap().get(t);
	//						} else {
	//							tempStr += ipn.getselectedPetriNetMap().getNodeMap().get(t) + ",";
	//							temp++;
	//						}
	//					}
	//					tempStr += ";";
	//					temp = 1;
	//					for (Transition t : tp.getEndParallelTransitions()) {
	//						if (tp.getEndParallelTransitions().size() == temp) {
	//							tempStr += ipn.getselectedPetriNetMap().getNodeMap().get(t);
	//						} else {
	//							tempStr += ipn.getselectedPetriNetMap().getNodeMap().get(t) + ",";
	//							temp++;
	//						}
	//					}
	//					str += tp.getStartParallelTransitions();
	//					str += "+";
	//					str += tp.getEndParallelTransitions();
	//					str += "/";
	//					i++;
	//					ctr.add(tempStr);
	//				}
	//
	//			}
	//		}
	//		return ctr;
	//
	//	}

	public static void getAllHighlights(InteractivePetriNetL ipn) {
		Set<Place> inputPlaces = new HashSet<Place>();
		Set<Place> outputPlaces = new HashSet<Place>();
		for (LDSetsL lds : ipn.getAllTranLDFCs()) {
			inputPlaces.clear();
			outputPlaces.clear();
			for (int i : lds.getNegativeNodes(ipn.getInteractiveMatNet()))
				inputPlaces.add(ipn.getPlaceBasedOnID(i));
			for (int i : lds.getPositiveNodes(ipn.getInteractiveMatNet()))
				outputPlaces.add(ipn.getPlaceBasedOnID(i));
			System.out.println("Valid LDFCs : " + inputPlaces + " , " + outputPlaces);
		}
		System.out.println("Size : " + ipn.getAllTranLDFCs().size());
		System.out.println("Size : " + ipn.getTranLDFCs().size());
	}

	public static List<String> addHighlightPlacesBasedOnLDMatrix(Place place, InteractivePetriNetL ipn) {
		InteractiveMatrixNetL imn = ipn.getInteractiveMatNet();
		List<String> ctr = new ArrayList<String>();
		Set<LDSetsL> tranLD = ipn.getAllTranLDFCs();
		int placeID = ipn.getPlaceId(place);
		for (LDSetsL tld : tranLD) {
			if (tld.getNegativeNodes(imn).contains(placeID)) {
				String startStr = "";
				String endStr = "";
				for (int r : tld.getNegativeNodes(imn)) {
					if (!startStr.isEmpty())
						startStr += ",";
					startStr += r;
				}
				for (int r : tld.getPositiveNodes(imn)) {
					if (!endStr.isEmpty())
						endStr += ",";
					endStr += r;
				}
				ctr.add(startStr + ";" + endStr);
			}
		}
		return ctr;
	}

	public static List<String> addHighlightTransBasedOnLDMatrix(Transition tran, InteractivePetriNetL ipn) {
		InteractiveMatrixNetL imn = ipn.getInteractiveMatNet();
		int i = 0;
		String tempStr = "";
		String end = "";
		int temp = 2;
		List<String> ctr = new ArrayList<String>();
		//		SimpleMatrix placeLD = ipn.getplaceLDNonSiphons();
		//		SimpleMatrix placeLDInput = ipn.getplaceLDNonSiphonsInput();
		//		SimpleMatrix placeLDOutput = ipn.getplaceLDNonSiphonsOutput();
		List<LDSetsL> placeLD = ipn.getplaceLDNonSiphons();
		int tranID = ipn.getTranId(tran);
		Set<Integer> startRows = new HashSet<Integer>();
		for (LDSetsL pld : placeLD) {
			if (pld.getPositiveNodes(imn).contains(tranID)) {
				String startStr = "";
				String endStr = "";
				for (int c : pld.getPositiveNodes(imn)) {
					if (!startStr.isEmpty())
						startStr += ",";
					startStr += c;
				}
				for (int c : pld.getNegativeNodes(imn)) {
					if (!endStr.isEmpty())
						endStr += ",";
					endStr += c;
				}
				ctr.add(startStr + ";" + endStr);
			}
		}
		return ctr;
	}
}
